<?php

namespace Application\Service\Extension\Cache;

use Application\Service\DB\Dictionary\ItemForm;

class Tags
{
    /**
     * ```
     * 用到的表
     * @see ItemForm
     * ```
     * @param string $tableName
     * @param int $primaryKey
     * @return string
     */
    public static function tablePrimaryKey(string $tableName, int $primaryKey): string
    {
        return "{$tableName}:{$primaryKey}" ;
    }

    public static function formStruct(int $formId, bool $isDictionary = false): string
    {
        return "formStruct:{$formId}:{$isDictionary}";
    }

}